Skip to content

Update Employee Skills

Operation
wsdlUpdateEmployeeSkills
SOAP Action
uri:FlexForce/wsdlUpdateEmployeeSkills
Service
FlexForce
Port
FlexForcePort
Style
rpc

Add, update, or overwrite job skills on one or more employees.


Request

Message: wsdlUpdateEmployeeSkillsRequest

apiKeystringrequired

API key of the unit.

skillsArray<UpdateEmployeeSkill>

Array of UpdateEmployeeSkill records — one per employee being updated.

itemUpdateEmployeeSkill

Skill assignment for a single employee, used by wsdlUpdateEmployeeSkills.

persIdintrequired

Quinyx internal id of the employee. Set to 0 when using badgeNo.

badgeNostring

Badge number of the employee. Identifies the employee when persId is not used.

addSkillsint

When 1, the supplied skills are merged with the employee's existing skills (matching ids are updated). When missing or not 1, all existing skills are replaced with the supplied set.

jobSkillsArray<JobSkill>

Array of JobSkill records to assign.

validationErrorsArray<xsd:string>

Returned in the response only. Array of error strings if the update failed; empty on success.

curl -X POST 'https://api.quinyx.com/FlexForceWebServices.php' \
  -H 'Content-Type: text/xml; charset=utf-8' \
  -H 'SOAPAction: "uri:FlexForce/wsdlUpdateEmployeeSkills"' \
  --data @- <<'EOF'
<?xml version="1.0" encoding="UTF-8"?>
<soap:Envelope xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:SOAP-ENC="http://schemas.xmlsoap.org/soap/encoding/" xmlns:tns="https://api.quinyx.com/soap/FlexForce">
  <soap:Body>
    <tns:wsdlUpdateEmployeeSkills>
    <apiKey xsi:type="xsd:string">string</apiKey>
    <skills xsi:type="SOAP-ENC:Array" SOAP-ENC:arrayType="tns:UpdateEmployeeSkill[1]">
      <item xsi:type="tns:UpdateEmployeeSkill">
        <persId xsi:type="xsd:int">0</persId>
        <badgeNo xsi:type="xsd:string">string</badgeNo>
        <addSkills xsi:type="xsd:int">0</addSkills>
        <jobSkills xsi:type="SOAP-ENC:Array" SOAP-ENC:arrayType="tns:JobSkill[1]">
          <item xsi:type="tns:JobSkill">
            <skillId xsi:type="xsd:int">0</skillId>
            <extSkillId xsi:type="xsd:string">string</extSkillId>
            <skillExpires xsi:type="xsd:int">0</skillExpires>
            <skillExpiringDate xsi:type="xsd:dateTime">2024-01-01T00:00:00Z</skillExpiringDate>
          </item>
        </jobSkills>
        <validationErrors xsi:type="SOAP-ENC:Array" SOAP-ENC:arrayType="xsd:string[1]">
          <item xsi:type="xsd:string">string</item>
        </validationErrors>
      </item>
    </skills>
    </tns:wsdlUpdateEmployeeSkills>
  </soap:Body>
</soap:Envelope>
EOF

Response

Message: wsdlUpdateEmployeeSkillsResponse

returnArray<UpdateEmployeeSkill>

Array of UpdateEmployeeSkill records reflecting the saved state.

itemUpdateEmployeeSkill

Skill assignment for a single employee, used by wsdlUpdateEmployeeSkills.

persIdintrequired

Quinyx internal id of the employee. Set to 0 when using badgeNo.

badgeNostring

Badge number of the employee. Identifies the employee when persId is not used.

addSkillsint

When 1, the supplied skills are merged with the employee's existing skills (matching ids are updated). When missing or not 1, all existing skills are replaced with the supplied set.

jobSkillsArray<JobSkill>

Array of JobSkill records to assign.

validationErrorsArray<xsd:string>

Returned in the response only. Array of error strings if the update failed; empty on success.

<?xml version="1.0" encoding="UTF-8"?>
<soap:Envelope xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:SOAP-ENC="http://schemas.xmlsoap.org/soap/encoding/" xmlns:tns="https://api.quinyx.com/soap/FlexForce">
  <soap:Body>
    <tns:wsdlUpdateEmployeeSkillsResponse>
    <return xsi:type="SOAP-ENC:Array" SOAP-ENC:arrayType="tns:UpdateEmployeeSkill[1]">
      <item xsi:type="tns:UpdateEmployeeSkill">
        <persId xsi:type="xsd:int">0</persId>
        <badgeNo xsi:type="xsd:string">string</badgeNo>
        <addSkills xsi:type="xsd:int">0</addSkills>
        <jobSkills xsi:type="SOAP-ENC:Array" SOAP-ENC:arrayType="tns:JobSkill[1]">
          <item xsi:type="tns:JobSkill">
            <skillId xsi:type="xsd:int">0</skillId>
            <extSkillId xsi:type="xsd:string">string</extSkillId>
            <skillExpires xsi:type="xsd:int">0</skillExpires>
            <skillExpiringDate xsi:type="xsd:dateTime">2024-01-01T00:00:00Z</skillExpiringDate>
          </item>
        </jobSkills>
        <validationErrors xsi:type="SOAP-ENC:Array" SOAP-ENC:arrayType="xsd:string[1]">
          <item xsi:type="xsd:string">string</item>
        </validationErrors>
      </item>
    </return>
    </tns:wsdlUpdateEmployeeSkillsResponse>
  </soap:Body>
</soap:Envelope>

Change log

Date Description
2018-09-18 Copied from old documentation and expanded UpdateEmployeeSkill element with optional parameter addSkills
2020-09-15 Added minOccurs=0 to not required fields